Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::SensorClass Struct Reference

Specification of sensor class that stores sensor properties. More...

Inheritance diagram for peripheral::GatewaySensorManager::SensorClass:

## Public Attributes

string | classId
| sensor class id

## Detailed Description

Specification of sensor class that stores sensor properties.

Before an instance of Sensor can be created, an instance of SensorClass must be present. The Sensor locates the corresponding SensorClass using the sensor class id `classId`.

Definition at line 225 of file GatewaySensorManager.idl.

## Member Data Documentation

## classId

string peripheral::GatewaySensorManager::SensorClass::classId

sensor class id

Definition at line 226 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl